# $Revision: 1.6 $, $Date: 2011/02/22 15:53:18 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Scope
%define	pnam	Guard
Summary:	Scope::Guard - lexically scoped resource management
Summary(pl.UTF-8):	Scope::Guard - zarządzanie zasobami o zakresie leksykalnym
Name:		perl-Scope-Guard
Version:	0.20
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Scope/CHOCOLATE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	495d5ae16a2df8128fd068c386c9d4ac
URL:		http://search.cpan.org/dist/Scope-Guard/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a convenient way to perform cleanup or other
forms of resource management at the end of a scope.

%description -l pl.UTF-8
Ten moduł udostępnia wygodny sposób wykonywania czyszczenia i innych
form zarządzania zasobami poza zakresem ich widoczności.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Scope
%{perl_vendorlib}/Scope/Guard.pm
%{_mandir}/man3/Scope::Guard.3pm*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Scope-Guard.spec,v $
Revision 1.6  2011/02/22 15:53:18  qboosh
- updated to 0.20

Revision 1.5  2010/04/09 06:54:38  amateja
- updated to 0.12

Revision 1.4  2010/03/26 07:25:36  amateja
- updated to 0.11
- updated Source0 URL

Revision 1.3  2008/03/24 20:58:55  qboosh
- pl

Revision 1.2  2007-09-09 11:59:18  radek
- add perl_vendorlib/Scope

Revision 1.1  2007/09/09 11:58:24  radek
- new
